@import url("https://fonts.googleapis.com/css2?family=Noto+Sans:wght@300;400;500;600;700;800;900&display=swap");

/* Basic Reset:: */
*,
*::after,
*::before {
  box-sizing: border-box;
}
* {
  margin: 0;
  padding: 0;
  font: inherit;
  list-style: none;
  font-style: normal;
  text-decoration: none;
  user-select: none;
  color: #001c33;
  font-family: "Noto Sans", sans-serif;
}

html {
  /* color-scheme: dark light; */
  scroll-behavior: smooth;
  scroll-padding-top: 10em;
}

/* width */
::-webkit-scrollbar {
  width: 7px;
  height: 7px;
}

/* Track */
::-webkit-scrollbar-track {
  border-radius: 20px;
  background: #76c893;
}

/* Handle */
::-webkit-scrollbar-thumb {
  border-radius: 20px;
  background: #1592b8;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #127593;
}

.button-emp {
  display: inline-block;
  outline: transparent;
  stroke: transparent;
  border: transparent;
  cursor: pointer;
  width: 145px;
  height: 43px;
  border-radius: 10px;
  border: 1px solid #168aad;
  color: #168aad;
  background-color: white;
}
img,
picture,
svg,
video {
  display: block;
  max-width: 100%;
}

/* input, */
textarea,
/* button, */
select {
  font: inherit;
  color: #eee;
  border-radius: 10px;
  border: 1px solid transparent;
  padding: 10px 12px;
  background-color: #168aad;
  resize: unset;
}

.button-filled {
  font: inherit;
  color: #eee;
  border-radius: 10px;
  border: 1px solid transparent;
  padding: 10px 12px;
  background-color: #168aad;
  resize: unset;
  width: 145px;
  height: 43px;
  cursor: pointer;
}

/* input {
  border-radius: 10px;
  border: 1px solid transparent;
  padding: 10px 12px;
} */

input:focus-visible,
textarea:focus-visible,
button:focus-visible,
select:focus-visible {
  border: none;
  outline: none;
}

label {
  color: #000;
  font-size: 12px;
}

section {
  padding: 3em 1em;
}
h1 {
  font-size: 36px;
  font-weight: 900;
}

h2 {
  font-size: 36px;
  font-weight: 600;
}
h3 {
  font-size: 18px;
  font-weight: 600;
}
h4 {
  font-size: 24px;
  font-weight: 900;
}
h5 {
  color: #001c33;
  font-size: 16px;
  font-weight: 400;
}

h6 {
  font-size: 18px;
  font-weight: 600;
}

p {
  color: #3f4445;
  font-weight: 400;
  font-size: 16px;
}

span {
  color: #001c33;
  font-size: 16px;
  font-weight: 400;
}

strong {
  font-weight: 700;
}

/* container ::  */

.container {
  width: min(1440px, 100%);
  margin-inline: auto;
}

/* header and navitaions ::  */

header {
  padding: 1em 1em;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  z-index: 999;
  /* background-color: #76c893; */
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2em;
}

.logo-container {
  font-size: 36px;
  font-weight: 900;
  white-space: nowrap;
}

.nav-links-container ul {
  display: flex;
  gap: 3em;
  justify-content: center;
  align-items: center;
}
.nav-links-container ul li {
  color: #fff;
  font-size: 16px;
  font-weight: 500;
}
.nav-links-container ul li.active {
  font-weight: 700;
  color: #168aad;
}

.nav-signIp {
  background-color: #168aad;
  padding: 0.5em 1em;
  border-radius: 7px;
}

.nav-links-container ul li.black {
  font-weight: 500;
  color: black;
}

/* mobile navigation ::  */

.burger-menu-container {
  display: none;
  position: relative;
  z-index: 99999;
}
#burger-menu,
#menu-cross {
  display: none;
  font-size: 25px;
  color: #fff;
  cursor: pointer;
}

@media screen and (max-width: 750px) {
  .navigation-container {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100vh;
    z-index: 9999;
    background-color: #000000a7;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 0 100vmax #000000a7;
    transform: scale(0) skew(50deg, 50deg);
    opacity: 0;
    transition: all 0.5s ease;
  }
  .navigation-container .nav-links-container ul {
    flex-direction: column;
  }
  .nav-links-container ul li.black {
    color: white !important;
  }

  .burger-menu-container,
  #burger-menu {
    display: block;
  }
}

/* mobile navigation end ::  */

/* footer::  */

footer {
  background-color: var(--primary-color);
  min-height: 20rem;
  padding: 3em 1em;
}
/* footer * {
  color: #fff;
} */

.footer-container {
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  gap: 4em;
  flex-wrap: wrap;
}
.footer-container .footer-sec {
  min-width: 12rem;
  max-width: 14rem;
}

.footer-heading {
  margin-bottom: 2em;
}

.footer-link li {
  margin-bottom: 1em;
}

.social-media-links {
  display: flex;
  gap: 1em;
  align-items: center;
}
.social-media-links i {
  cursor: pointer;
}

.copy-right {
  margin-top: 1em;
  border-top: 1px solid gray;
  padding-top: 1em;
  display: flex;
  justify-content: center;
  gap: 2em;
  flex-wrap: wrap;
}

/* footer end ::  */

.input {
  position: relative;
}
.subscribe-input {
  width: 100%;
  padding-right: 160px !important;
  box-sizing: border-box;
  border: none;
  border-radius: 50px;
  padding: 12px 15px;
}
.custom-search-botton {
  position: absolute;
  right: 6px;
  top: 3px;
  bottom: 3px;
  line-height: 1 !important;
  z-index: 4;
  border-radius: 50px;
  border: none;
  color: white;
  background-color: #168aad;
  padding: 2px 12px;
  cursor: pointer;
}
